﻿using System;
using System.Web.UI;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace ThinkgeoWebSample
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

            if (!Page.IsPostBack)
            {

                //Map1.CurrentExtent = new RectangleShape(-131.22, 55.05, -54.03, 16.91);
                //Map1.MapUnit = GeographyUnit.DecimalDegree;

                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#CCCCFF"));
                Map1.MapUnit = GeographyUnit.Meter;

                //Feature f = new Feature(new Vertex(10, 10));
                //InMemoryFeatureLayer layer = new InMemoryFeatureLayer();
                //layer.InternalFeatures.Add(f);
                //Map1.DynamicOverlay.Layers.Add(layer);

                Map1.EditOverlay.TrackMode = TrackMode.Polygon;

            }
        }

        protected void clientShapeFinished(object sender, EventArgs e)
        {
            //Do something
            //Response.Write("hello");
        }
    }
}